:host ::ng-deep {
    margin: -24px 0;
    

    .mat-mdc-dialog-content {
        display: flex;
        padding: 0;
    }

    .product-image-content {
        width: 200px;
        background: #3855be;
        position: relative;
        padding: 50px 30px;
        justify-content: center;
        align-items: center;
        display: flex;
        flex-direction: column;


        .product-image {
            width: 110px;
            height: 110px;
            background: rgba(255, 255, 255, 0.1);
            z-index: 999;
            border: 1px solid rgba(255, 255, 255, 0.3);
            border-radius: 25px;
            position: relative;
            margin: 20px 0;
        
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                opacity: 0.95;
                border-radius: 25px;
            }
        }

        .product-image-hint {
            margin-bottom: auto;
            text-align: center;
            color: #fff;
            font-size: 0.9rem;
        }
    }

    .product-info-content {
        flex: 1;
        padding: 20px;

    

        .mat-mdc-dialog-actions {
            padding: 20px 20px 0;
            margin: -12px -20px 0px;
            justify-content: flex-end;
        }
    }

    #create-product-form {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: repeat(5, 1fr);
        grid-column-gap: 16px;
        grid-row-gap: 0px;

  
        #storeId-form-field { grid-area: 1 / 1 / 2 / 2; }
        #name-form-field { grid-area: 1 / 2 / 2 / 5; }
        #type-form-field { grid-area: 2 / 1 / 3 / 3; }
        #brand-form-field { grid-area: 2 / 3 / 3 / 5; }
        #mass-form-field { grid-area: 3 / 1 / 4 / 2; }
        #massUnit-form-field { grid-area: 3 / 2 / 4 / 3; }
        #calories-form-field { grid-area: 4 / 1 / 5 / 3; }
        #fats-form-field { grid-area: 4 / 3 / 5 / 5; }
        #hc-form-field { grid-area: 5 / 1 / 6 / 3; }
        #proteins-form-field { grid-area: 5 / 3 / 6 / 5; }
        }
      
}